This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 896636

Summary: [abrt] kernel: WARNING: at drivers/gpu/drm/i915/i915_drv.c:387 __gen6_gt_wait_for_fifo+0x94/0xa0 [i915]()
Product: Red Hat Enterprise Linux 7 Reporter: Martin <mholec>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Desktop QE <desktop-qa-list>
Severity: high Docs Contact:
Priority: medium    
Version: 7.0CC: ajax, balay, bluestealth001, bugzilla, gansalmon, gvenugop, itamar, jonathan, jpeeler, kahlil.hodgson, kernel-maint, lmacken, lmohanty, madhu.chinakonda, mikko.tiihonen, miroslaw.michalski, mnovacek, mstahl, rpiddapa, sheepdestroyer, smooge, sparks, thelonestarcomic, tpelka, tvujec, vbenes, xgl-maint
Target Milestone: rc   
Target Release: 7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: abrt_hash:e32c1d4527597853174204d183740a162184cc40
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 772364 Environment:
Last Closed: 2014-02-19 12:46:30 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 772364    
Bug Blocks: 982785    

Description Martin 2013-01-17 11:28:36 EST
+++ This bug was initially created as a clone of Bug #772364 +++

libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.1.6-1.fc16.x86_64 root=/dev/mapper/vg_eric-lv_root ro rd.lvm.lv=vg_eric/lv_root rd.md=0 rd.dm=0 rd.lvm.lv=vg_eric/lv_swap rd.luks.uuid=luks-d61242e4-fd5f-4b81-afb5-bcd664d44bd5 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb LANG=en_US.UTF-8 i915.i915_enable_rc6=1 pcie_aspm=off
kernel:         3.1.6-1.fc16.x86_64
reason:         [151137.556657] WARNING: at drivers/gpu/drm/i915/i915_drv.c:387 __gen6_gt_wait_for_fifo+0x94/0xa0 [i915]()
time:           Sat 07 Jan 2012 10:39:21 EST

backtrace:
:[151137.556657] WARNING: at drivers/gpu/drm/i915/i915_drv.c:387 __gen6_gt_wait_for_fifo+0x94/0xa0 [i915]()
:[151137.556661] Hardware name: 4286CTO
:[151137.556664] Modules linked in: binfmt_misc tcp_lp ppdev parport_pc lp parport fuse 8021q garp stp llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_conexant arc4 snd_hda_intel snd_hda_codec snd_hwdep microcode snd_seq iwlwifi snd_seq_device thinkpad_acpi snd_pcm mac80211 cfg80211 snd_timer i2c_i801 snd iTCO_wdt soundcore rfkill joydev snd_page_alloc iTCO_vendor_support uinput xts gf128mul dm_crypt sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: e1000e]
:[151137.556729] Pid: 1215, comm: Xorg Tainted: G        W   3.1.6-1.fc16.x86_64 #1
:[151137.556732] Call Trace:
:[151137.556740]  [<ffffffff8106b73f>] warn_slowpath_common+0x7f/0xc0
:[151137.556747]  [<ffffffff8106b79a>] warn_slowpath_null+0x1a/0x20
:[151137.556761]  [<ffffffffa006d774>] __gen6_gt_wait_for_fifo+0x94/0xa0 [i915]
:[151137.556780]  [<ffffffffa00bfdea>] gen6_ring_put_irq+0xaa/0x130 [i915]
:[151137.556798]  [<ffffffffa00bfe88>] blt_ring_put_irq+0x18/0x20 [i915]
:[151137.556814]  [<ffffffffa0089f83>] i915_wait_request+0x1c3/0x720 [i915]
:[151137.556832]  [<ffffffffa00c337c>] ? render_ring_flush+0xbc/0xe0 [i915]
:[151137.556839]  [<ffffffff8108e6b0>] ? remove_wait_queue+0x50/0x50
:[151137.556855]  [<ffffffffa008a512>] i915_gem_object_wait_rendering+0x32/0x40 [i915]
:[151137.556872]  [<ffffffffa0090ea2>] i915_gem_do_execbuffer+0xb52/0x14c0 [i915]
:[151137.556889]  [<ffffffffa0091cd3>] i915_gem_execbuffer2+0xa3/0x260 [i915]
:[151137.556905]  [<ffffffffa001e3f4>] drm_ioctl+0x3e4/0x4c0 [drm]
:[151137.556922]  [<ffffffffa0091c30>] ? i915_gem_execbuffer+0x420/0x420 [i915]
:[151137.556929]  [<ffffffff81256600>] ? inode_has_perm+0x30/0x40
:[151137.556935]  [<ffffffff812599fc>] ? file_has_perm+0xdc/0xf0
:[151137.556941]  [<ffffffff811842a8>] do_vfs_ioctl+0x98/0x550
:[151137.556947]  [<ffffffff811847f1>] sys_ioctl+0x91/0xa0
:[151137.556953]  [<ffffffff815dcf75>] ? int_check_syscall_exit_work+0x34/0x3d
:[151137.556959]  [<ffffffff815dccc2>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 22169c59-637f-4828-b6ec-4911b8b86bbd
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_AU.UTF_8
:Platform: x86_64
:BogoMIPS: 5581.92
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7764
:System Swap: 9983
:Vendor: LENOVO
:System: 4286CTO ThinkPad X220
:Form factor: Notebook
:Kernel: 3.1.6-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8666) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4147:404:6058:8666) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:294:6058:8666) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:6058:8666) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8666) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, None, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8666) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(4480:59427:0:0) pci, sdhci-pci, BASE, N/A
:(32902:7213:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8666) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8666) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_eric-lv_root / ext4 4096 4096 8321484 7122169 7037660 2113536 1968637 1968637
:/dev/sda5 /boot ext4 1024 1024 495844 409854 384254 128016 127782 127782
:/dev/mapper/vg_eric-lv_home /home ext4 4096 4096 7168033 3876198 3512511 1826816 1733659 1733659
:

--- Additional comment from Adam Jackson on 2012-05-03 17:09:37 EDT ---

*** Bug 741087 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2012-08-29 13:55:06 EDT ---

*** Bug 781435 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2012-08-29 13:55:13 EDT ---

*** Bug 820323 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2012-08-29 13:55:19 EDT ---

*** Bug 819423 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:35:57 EST ---

*** Bug 854323 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:01 EST ---

*** Bug 863949 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:04 EST ---

*** Bug 864627 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:08 EST ---

*** Bug 865413 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:11 EST ---

*** Bug 865843 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:16 EST ---

*** Bug 866224 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:19 EST ---

*** Bug 866921 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:28 EST ---

*** Bug 867113 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:32 EST ---

*** Bug 867114 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:39 EST ---

*** Bug 867206 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:43 EST ---

*** Bug 867294 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:47 EST ---

*** Bug 867797 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:51 EST ---

*** Bug 869901 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:54 EST ---

*** Bug 869401 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:36:59 EST ---

*** Bug 877471 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:37:04 EST ---

*** Bug 879310 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:37:10 EST ---

*** Bug 886683 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:37:18 EST ---

*** Bug 887529 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:37:22 EST ---

*** Bug 889164 has been marked as a duplicate of this bug. ***

--- Additional comment from Adam Jackson on 2013-01-04 16:50:03 EST ---

*** Bug 869001 has been marked as a duplicate of this bug. ***

--- Additional comment from Josh Boyer on 2013-01-07 08:55:15 EST ---

*** Bug 892281 has been marked as a duplicate of this bug. ***

--- Additional comment from Josh Boyer on 2013-01-07 08:55:20 EST ---

*** Bug 890610 has been marked as a duplicate of this bug. ***

--- Additional comment from Lalatendu Mohanty on 2013-01-10 23:46:21 EST ---

The issue came while starting (booting) the system.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)

--- Additional comment from Fedora End Of Life on 2013-01-16 05:00:37 EST ---

This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from Martin Holec on 2013-01-16 12:16:54 EST ---

Moving this bug to Rawhide version as this bug occurs in F16 to F18 releases and it's very likely to hit also F19.

Adam, do you have any progress with solving this bug?

--- Additional comment from Martin Holec on 2013-01-16 12:17:11 EST ---

Moving this bug to Rawhide version as this bug occurs in F16 to F18 releases and it's very likely to hit also F19.

Adam, do you have any progress with solving this bug?
Comment 1 Adam Jackson 2013-12-12 14:27:27 EST
Are we still seeing this with current RHEL7 kernels?
Comment 2 Stephen John Smoogen 2013-12-12 14:31:27 EST
I am seeing this still occasionally on F19 kernels. I will be moving laptop to RHEL7-beta over weekend so will know then.
Comment 3 Adam Jackson 2014-02-04 14:11:15 EST
(In reply to Stephen John Smoogen from comment #2)
> I am seeing this still occasionally on F19 kernels. I will be moving laptop
> to RHEL7-beta over weekend so will know then.

Do we know yet?
Comment 4 Adam Jackson 2014-02-19 12:46:30 EST
Well I'm not seeing this, so I'm closing for now.  If this is still happening with current RHEL7 kernels please reopen.
Comment 5 Martin 2014-02-19 13:13:56 EST
Perhaps this bug is related?
https://bugzilla.redhat.com/show_bug.cgi?id=1061814